//
//  GLMovieViewController.h
//  GLMovie
//
//  Created by Yoshikazu Kuramochi on 11/10/04.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <OpenGLES/EAGL.h>

#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>

#import <AVFoundation/AVFoundation.h>

@interface GLMovieViewController : UIViewController
{
    EAGLContext *context;
    
    BOOL animating;
    NSInteger animationFrameInterval;
    CADisplayLink *displayLink;

	AVURLAsset* asset;
	AVPlayerItem* playerItem;
	AVPlayer* player;
	AVMutableComposition* comp;
	AVMutableCompositionTrack* track;
	AVAssetImageGenerator* imageGen;
	void* buffer;
	CGContextRef cgContext;
	GLuint texture;

	GLfloat zoom;
	CGFloat prevPinchScale;
	CGPoint panVelocity;
	GLfloat rotateMatrix[16];
}

@property (readonly, nonatomic, getter=isAnimating) BOOL animating;
@property (nonatomic) NSInteger animationFrameInterval;

- (void)startAnimation;
- (void)stopAnimation;

@end
